import Fingerprint from 'fingerprintjs';
import post from '../utils/post';
import request from '../utils/request';

export async function login(payload) {
  const data = {};
  data.type = payload.type;
  if (data.type === 'userName') {
    data.data = payload.userName;
  }
  if (payload.authType === 'password') {
    data.authRequest = {
      type: payload.authType,
      parameters: {
        cipher: payload.password,
      },
    };
  }
  data.tokenInfo = {
    productId: 'big-machine-web-front',
    deviceId: `${new Fingerprint({ ie_activex: true }).get()}`,
  };
  return post('/api/auth/login', data, {}, {}, false);
}

export async function userInfo() {
  return request('/api/user/info');
}
